Subject: bug#9891: 24.0.90; Duplicated entry at the info directory

From: Juri Linkov <[email-masked]>
Date: Wed, 02 Nov 2011 12:07:54 +0200

>> True, but this is what I see on GNU/Linux in "(dir) Top", at the top:
>>
>> * Info: (info).                 How to use the documentation browsing system.
>>
>> and in the "Texinfo documentation system" section:
>>
>> * Info: (info).                 How to use the documentation browsing system.
>>
>> The former is from the Emacs source tree, and the latter duplicate
>> is from /usr/share/info/.
>
> Emacs cannot fix that.  You need to fix this by re-arranging and/or
> editing your DIR files.

I don't want to edit installed DIR files, and on systems where you have
no root privileges you can't edit them anyway.

>> The problem with removing duplicates is its heuristics that is too
>> unpredictable and ad-hoc.  Sometimes it leaves duplicates not removed,
>> and sometimes removes non-duplicates, e.g. I see that it removed the
>> second entry from these lines in `dir':
>>
>> * _exit: (libc)Termination Internals.
>> * _Exit: (libc)Termination Internals.
>
> Case sensitivity?  Anyway, if the code in Info-dir-remove-duplicates
> is imperfect, we should improve it.

Yes, it seems this case insensitivity is intentional
in `Info-dir-remove-duplicates'.